Public Member Functions | Public Attributes | List of all members
libcdr::CDRTextLine Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRTextLine ()
| CDRTextLine (const CDRTextLine &line)
void | append (const CDRText &text)
void | clear ()

## Public Attributes
std::vector< CDRText > | m_line

## Constructor & Destructor Documentation

## ◆ CDRTextLine() [1/2]

libcdr::CDRTextLine::CDRTextLine | ( |  | ) |
| inline

## ◆ CDRTextLine() [2/2]

libcdr::CDRTextLine::CDRTextLine | ( | const CDRTextLine & | line | ) |
| inline

## Member Function Documentation

## ◆ append()

void libcdr::CDRTextLine::append | ( | const CDRText & | text | ) |
| inline

Referenced by libcdr::CDRStylesCollector::collectText().

## ◆ clear()

void libcdr::CDRTextLine::clear | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_line

std::vector<CDRText> libcdr::CDRTextLine::m_line

Referenced by append(), and clear().

The documentation for this struct was generated from the following file:

- CDRTypes.h